Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer.POAPackage
Class ObjectAlreadyActiveHelper

    java.lang.Object
      org.omg.PortableServer.POAPackage.ObjectAlreadyActiveHelper

    public abstract class ObjectAlreadyActiveHelper

extends Object

org/omg/PortableServer/POAPackage/ObjectAlreadyActiveHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/PortableServer/poa.idl Wednesday, August 11, 2004 5:04:01 AM GMT-08:00

Constructor Summary
`ObjectAlreadyActiveHelper()`

Method Summary
`static ObjectAlreadyActive` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, ObjectAlreadyActive that)`
`static ObjectAlreadyActive` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, ObjectAlreadyActive value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectAlreadyActiveHelper

    public ObjectAlreadyActiveHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ObjectAlreadyActive that)

### extract

    public static ObjectAlreadyActive extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static ObjectAlreadyActive read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             ObjectAlreadyActive value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.